> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/image/describeimagequota.md).

# DescribeImageQuota

## 1. 接口描述

本接口(DescribeImageQuota)用于查询可创建镜像的配额。

{% hint style="info" %}
**注意事项**

* 每个区域最多只支持创建**5**个自定义镜像，如有特殊需求可联系Support增加上限。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型              | 描述                                               |
| ------- | -- | --------------- | ------------------------------------------------ |
| zoneIds | 否  | Array of String | <p>可用区ID列表。</p><p>可从DescribeZones的zoneId中获取。</p> |

## 3. 响应结果

| 参数名称      | 类型                                                                                     | 描述                                                       |
| --------- | -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| images    | Array of [ImageQuotaInfo](/api-reference/cn/legacy/vm/datastructure.md#imagequotainfo) | 镜像配额结果集。                                                 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询用户帐号各区域的镜像配额**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImageQuota
<Common Request Params>

Request:
{
  "zoneIds": [
    "FRA-A",
    "HKG-A"
  ]
}

Response:
{
  "requestId": "T56C2FE84-40CC-4A84-A68B-D5EB12A03768",
  "response": {
    "requestId": "T56C2FE84-40CC-4A84-A68B-D5EB12A03768",
    "images": [
      {
        "count": 2,
        "zoneId": "FRA-A",
        "maxCount": 5
      },
      {
        "count": 3,
        "zoneId": "HKG-A",
        "maxCount": 5
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
